<div class="loginPage">
  <mat-card>
    <mat-card-header>
      <img src="../assets/images/logo.jpeg" />
    </mat-card-header>
    <mat-card-content>
      <div *ngIf="emailSent()">
        <div class="title bigTitle">
          <div>Link to change your password has been sent to <u>{{ userEmail }}</u>.</div>
          <div>Check your email :-)</div>
        </div>
        <div class="button">
          <button (click)="login()" mat-raised-button color="primary">
            Back to login page
          </button>
        </div>
      </div>
      <div *ngIf="initialFormState()">
        <div class="title">Forgot your password?</div>
        <form [formGroup]="passwordRecoveryForm">
          <div class="row">
            <mat-form-field class="example-full-width">
              <mat-label>Email</mat-label>
              <input
                matInput
                [formControl]="emailFormControl"
                placeholder="Ex. pat@example.com"
              />
              <mat-error
                *ngIf="
                  emailFormControl.hasError('email') &&
                  !emailFormControl.hasError('required')
                "
              >
                Please enter a valid email address
              </mat-error>
            </mat-form-field>
          </div>
          <div class="button">
            <button
              (click)="sendPasswordRecovery()"
              mat-raised-button
              color="primary"
              [disabled]="!passwordRecoveryForm.valid"
            >
              Send email
            </button>
          </div>
        </form>
        <div class="additionalLink">
          <button (click)="login()" mat-button color="primary">
            Back to login page
          </button>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
